Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354631 - Users should be warned during upgrade of long running Pulp migrations
Summary: Users should be warned during upgrade of long running Pulp migrations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Sachin Ghai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 19:29 UTC by Eric Helms
Modified: 2019-04-01 20:27 UTC (History)
11 users (show)

Fixed In Version: katello-installer-base-3.0.0.52-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 11:37:26 UTC


Attachments (Terms of Use)
I don't see long migration warnings on console.. (deleted)
2016-07-14 14:03 UTC, Sachin Ghai
no flags Details
long migration warnings on console (deleted)
2016-07-18 10:01 UTC, Sachin Ghai
no flags Details


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 2060 Normal CLOSED - CURRENTRELEASE As a user, I want pulp-manage-db to output a message before any "known big migrations", so that I am aware that the migr... 2016-07-26 14:00:26 UTC
Foreman Issue Tracker 15660 None None None 2016-07-12 12:21:39 UTC

Description Eric Helms 2016-07-11 19:29:21 UTC
Users with a lot of content and symlinks, when upgrading to 6.2, will have long upgrades without any warning or knowledge of where they are at in the upgrade process. Users should be warned at each step that is long running what step they are on and when it might take a long time.

Comment 2 pulp-infra@redhat.com 2016-07-11 20:00:24 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2016-07-11 20:00:27 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 4 Eric Helms 2016-07-12 12:21:37 UTC
Created redmine issue http://projects.theforeman.org/issues/15660 from this bug

Comment 5 Sachin Ghai 2016-07-14 12:20:20 UTC
I'm assuming these warning should appear on console as well as in log files. right ?


If so, I can see them only in logs but not on console:

like in /var/log/messages:

Jul 14 08:14:36 qe-sat6-upgrade-rhel7 pulp: pulp.server.db.manage:INFO: Applying pulp_puppet.plugins.migrations version 4
Jul 14 08:14:36 qe-sat6-upgrade-rhel7 pulp: pulp_puppet.plugins.migrations.0004_standard_storage_path:INFO: ****************************************************************************************
Jul 14 08:14:36 qe-sat6-upgrade-rhel7 pulp: pulp_puppet.plugins.migrations.0004_standard_storage_path:INFO: * NOTE: This migration may take a long time depending on the size of your Pulp content *
Jul 14 08:14:36 qe-sat6-upgrade-rhel7 pulp: pulp_puppet.plugins.migrations.0004_standard_storage_path:INFO: ****************************************************************************************
Jul 14 08:15:05 qe-sat6-upgrade-rhel7 pulp: pulp.server.db.manage:INFO: Migration to pulp_puppet.plugins.migrations version 4 complete.

Comment 6 Sachin Ghai 2016-07-14 12:21:03 UTC
console is showing logs like:

 ~]# satellite-installer --scenario satellite --upgrade
Upgrading...
Upgrade Step: stop_services...
Redirecting to /bin/systemctl stop  httpd.service

Redirecting to /bin/systemctl stop  pulp_workers.service

Redirecting to /bin/systemctl stop  pulp_resource_manager.service

Redirecting to /bin/systemctl stop  pulp_celerybeat.service

Redirecting to /bin/systemctl stop  foreman-proxy.service

Redirecting to /bin/systemctl stop  tomcat.service

Redirecting to /bin/systemctl stop  qdrouterd.service

Redirecting to /bin/systemctl stop  qpidd.service

Success!

Upgrade Step: start_databases...
Redirecting to /bin/systemctl start  mongod.service

Redirecting to /bin/systemctl start  postgresql.service

Success!

Upgrade Step: update_http_conf...

Upgrade Step: migrate_pulp...
26559

Comment 7 Eric Helms 2016-07-14 12:35:38 UTC
You should be seeing them in the installer logs as well as the console output.

Comment 8 Sachin Ghai 2016-07-14 14:03:14 UTC
Created attachment 1179872 [details]
I don't see long migration warnings on console..

Comment 9 Eric Helms 2016-07-14 15:50:05 UTC
Sachin,

The logs appear to indicate you had already ran an update on this machine? The output of the messages indicating from Pulp that a particular migration will take a long time can only be seen when those migrations are run. Not every migration can take a long time, so they are coded to a few specific migrations. Thus I would only expect to see the message during the initial Sat 6.1 to 6.2 migration in the Pulp migration output. Therefore, I am going to move this back to MODIFIED and then to ON_QA when https://bugzilla.redhat.com/show_bug.cgi?id=1356447 is pushed to ON_QA.

Comment 10 Sachin Ghai 2016-07-15 06:31:13 UTC
Eric, Thanks for the info. But I didn't run the update twice. This is the machine where I applied the fix given in bz1356447 before performing upgrade. And I don't see long migration warnings on console during first run. 

I'll see how this goes with next snap. thanks.

Comment 11 Sachin Ghai 2016-07-18 10:00:53 UTC
Verified with upgrade from Sat6.1.9 -> sat6.2 GA snap20.2

I can see warnings for long running pulp migrations on console as well as in logs. Please see screenshot for verification.

Comment 12 Sachin Ghai 2016-07-18 10:01:35 UTC
Created attachment 1181009 [details]
long migration warnings on console

Comment 13 pulp-infra@redhat.com 2016-07-26 14:00:27 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 14 Bryan Kearney 2016-07-27 11:37:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.